Allocations By Environment - Get Allocations By Environment
Get currency allocations and enforcement rules for an environment.
GET https://api.powerplatform.com/licensing/allocationsByEnvironment/{environmentId}?api-version=2024-10-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
environment
|
path | True |
string |
The environment ID. |
|
api-version
|
query | True |
string |
The API version. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Success |
|
| 400 Bad Request |
Bad Request |
|
| 401 Unauthorized |
Unauthorized |
|
| 403 Forbidden |
Forbidden |
|
| 404 Not Found |
Not Found |
Security
oauth2
Microsoft Entra ID OAuth2
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize?resource=https://api.powerplatform.com
Scopes
| Name | Description |
|---|---|
| .default | .default |
Definitions
| Name | Description |
|---|---|
|
Allocation |
The currency allocations and enforcement rules for an environment. |
|
Currency |
|
|
Enforcement |
|
|
Enforcement |
|
|
External |
Available currency type which can be allocated to environment. |
AllocationByEnvironmentModel
The currency allocations and enforcement rules for an environment.
| Name | Type | Description |
|---|---|---|
| currencyAllocations |
The per-currency allocations, including enforcement rules such as TenantPool that can be enabled or disabled. |
|
| environmentId |
string |
The environment ID. |
CurrencyAllocationModel
| Name | Type | Description |
|---|---|---|
| allocated |
integer (int32) |
|
| autoAllocated |
integer (int32) |
|
| currencyType |
Available currency type which can be allocated to environment. |
|
| enforcementRules |
EnforcementRule
| Name | Type | Description |
|---|---|---|
| enabled |
boolean |
|
| ruleType |
EnforcementRuleTypes
| Value | Description |
|---|---|
| Alert | |
| PayGo | |
| TenantPool | |
| Deny |
ExternalCurrencyType
Available currency type which can be allocated to environment.
| Value | Description |
|---|---|
| AI | |
| AppPass | |
| AppPassForTeams | |
| Invoice | |
| MCSSessions | |
| MCSMessages | |
| PAHostedRPA | |
| PAUnattendedRPA | |
| PerFlowPlan | |
| PortalAddOns | |
| PortalLogins | |
| PortalViews | |
| PowerPagesAuthenticated | |
| PowerPagesAnonymous | |
| PowerAutomatePerProcess | |
| ProcessMiningDataStorage | |
| SCMessages | |
| VAConversations |